BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define name            emma
%define version         2.0
%define release         0.5312.1jpp

# -----------------------------------------------------------------------------

Summary:        Code Coverage Tool
Name:           %{name}
Version:        %{version}
Release:        alt1_%{release}1.7
Epoch:		0
Group:          Development/Java
License:        IBM Common Public License
URL:            http://emma.sourceforge.net/
BuildArch:      noarch
Source0:        emma-2.0.5312-src.zip
Patch0:         emma-2.0.5312-dependencies_xml.patch
Patch1:         emma-2.0.5312-build_xml.patch
Requires: jaxp_parser_impl java
BuildRequires: ant 
BuildRequires: jpackage-utils >= 0:1.5

%description
EMMA is an open-source toolkit for measuring and reporting Java 
code coverage. EMMA distinguishes itself from other tools by going 
after a unique feature combination: support for large-scale 
enterprise software development while keeping individual developer's 
work fast and iterative. 

%prep
%setup -q -n %{name}-%{version}.5312
#for j in $(find . -name "*.jar"); do
#    mv $j $j.no
#done
# TODO: find source for com.vladium.util.version.VersionStampTool

%patch0 -b .orig
%patch1 -b .orig

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
ant -Dbuild.compiler=modern 

%install

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
pushd dist
for j in emma*.jar; do
  vjar=$(echo $j | sed s+.jar+-%{version}.jar+g)
  install -m 644 $j $RPM_BUILD_ROOT%{_javadir}/$vjar
  pushd $RPM_BUILD_ROOT%{_javadir}
     ln -fs $vjar $j
  popd
done
popd

%files
%doc cpl-v10.html
%{_javadir}/*

%changelog
* Wed May 09 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.0-alt1_0.5312.1jpp1.7
- converted from JPackage by jppimport script

